Name:		jbullet
Version:	20090910
Release:	%mkrel 2
Summary:	Java port of Bullet Physics Library
Group:		Development/Java
License:	ZLIB license
Url:		http://jbullet.advel.cz/
# jMonkeyEngine  customized release
# svn co http://jbullet-jme.googlecode.com/svn/branches/jbullet jbullet-20090910
# tar czf jbullet-20090910-src-svn.tar.gz jbullet-20090910
Source0:	jbullet-20090910-src-svn.tar.gz

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
# req ant <= 1.8.1
BuildRequires:	ant17
BuildRequires:	ant17-nodeps

BuildRequires:	jinput
BuildRequires:	jstackalloc
BuildRequires:	lwjgl
BuildRequires:	objectweb-asm
BuildRequires:	pkgconfig(openal)
BuildRequires:	swing-layout
BuildRequires:	java3d

Requires:	jinput
Requires:	jstackalloc
Requires:	lwjgl
#Requires:	objectweb-asm
Requires:	openal
Requires:	swing-layout
Requires:	java3d

Requires:	java
Requires:	jpackage-utils
Requires(post):	jpackage-utils
Requires(postun): jpackage-utils
#BuildArch:	noarch

%description
JBullet - Java port of Bullet Physics Library.

Features:

  * 100% pure Java port, native libraries are used only for OpenGL access in demos
  * supported shapes: static plane, box, sphere, capsule, cylinder, cone, convex hull,
    compound shape, static and moving triangle mesh, uniform scaling shape
  * supported joints: generic 6-DOF, cone twist, hinge, point2point, slider
  * vehicle support
  * software OpenGL-like renderer in applet demo
  * uses JStackAlloc for stack allocation of value objects

%package	javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}
Requires:	jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jbullet-%{version}

find . -type f \( -name "*.class" -o -name "*.jar" -o -name "*.zip" -o -name "*.so" -o -name "*.jnilib" -o -name "*.dll" \) -delete

sed -i "s|run.jvmargs=-ea -Djava.library.path=lib/lwjgl/linux|run.jvmargs=-ea -Djava.library.path=%_libdir:%_jnidir|" nbproject/project.properties

pushd lib
  ln -sf $(build-classpath objectweb-asm/asm-all) ASM3.1/asm-all-3.1.jar
  ln -sf $(build-classpath stack-alloc) jstackalloc/stack-alloc.jar
  ln -sf $(build-classpath jinput) lwjgl/jinput.jar
  ln -sf $(build-classpath lwjgl) lwjgl/lwjgl.jar
  ln -sf $(build-classpath lwjgl_util) lwjgl/lwjgl_util.jar
  ln -sf $(build-classpath swing-layout) swing-layout/swing-layout-1.0.3.jar
  ln -sf $(build-classpath java3d/vecmath) vecmath/vecmath.jar
popd

for file in src/com/bulletphysics/dynamics/constraintsolver/RotationalLimitMotor.java \
	src/com/bulletphysics/dynamics/constraintsolver/TranslationalLimitMotor.java \
	src/com/bulletphysics/dynamics/constraintsolver/Generic6DofConstraint.java; do
	native2ascii -encoding UTF8 $file $file
done

%build

ant17 jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}

install -pm 644 dist/%{name}.jar %{buildroot}%{_javadir}/
install -pm 644 dist/%{name}-demos.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pR dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-demos.jar
%doc changelog.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Jan 15 2013 sander85 <sander85> 20090910-2.mga3
+ Revision: 388189
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 gil <gil> 20090910-1.mga2
+ Revision: 193624
- commented noarch
- build fix
  corrected objectweb-asm link
- imported package jbullet

